package com.tomas.ht_mast.lib;

public enum KeyMapping {
    //P1(131),
    //P2(132),
    //P1(25),
    P1(501),
    P2(503),
    P3(133),
    //P4(134),
    P4(305),
    Down(25),


    ENT(66);
    private final int id;

    KeyMapping(final int id) {
        this.id = id;
    }

    public int getId() {
        return id;
    }

    public static KeyMapping fromId(final int id) {
        for (KeyMapping e : KeyMapping.values()) {
            if (e.id == id) {
                return e;
            }
        }
        return null;
    }
}
